#
# spec file for package tnt (Version 1.9.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         tnt
Version:      1.9.1
Release:      533
License:      GPL
Group:        Productivity/Hamradio/Packet
Source:       ftp://ftp.wspse.de/pub/packet_radio/tnt/CVS/tnt-20000606.tar.bz2
Patch:        tnt-%{version}.dif
Summary:      Terminal program for packet radio
Summary(de):  Terminalprogramm fr Packet Radio
URL:          http://www.wspse.de/WSPse/Packet.php3
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
TNT is a console based packet radio terminal for hostmode tncs. It
supports virtual channels and socket communication. It also can be used
with ax25 kernel or kiss interfaces together with TFkiss.



Authors:
--------
    Mark Wahl, DL4YBG <wahlm@berlin.snafu.de>
    Matthias Hensler <wsp@gmx.de>
    Berndt Josef Wulf, VK5ABN <wulf@ping.net.au>
    Walter Koch, DG9EP <walter@1409.org>
    Jonny Hanne, DH3MB <johnny@1409.org>
    and others

%debug_package
%prep
%setup
%patch

%build
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
	--localstatedir=/var \
	--infodir=%{_infodir} \
	--libexecdir=/usr/lib \
	--enable-ax25k2 \
	--enable-hibaud # %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT  
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/tnt
strip $RPM_BUILD_ROOT/usr/bin/tntc
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
rm -f examples/Makefile* examples/*.in examples/sounds/Makefile* examples/sounds/*.in
cp -a examples/ AUTHORS AX25-NOTES ChangeLog NEWS README TODO $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
ln -s /usr/share/tnt/doc $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %dir %{_defaultdocdir}/%{name}/
%{_defaultdocdir}/%{name}/doc/
%{_defaultdocdir}/%{name}/examples/
%{_defaultdocdir}/%{name}/AUTHORS 
%{_defaultdocdir}/%{name}/AX25-NOTES
%{_defaultdocdir}/%{name}/ChangeLog
%{_defaultdocdir}/%{name}/NEWS
%{_defaultdocdir}/%{name}/README
%{_defaultdocdir}/%{name}/TODO
/usr/bin/*
/usr/sbin/*
/usr/include/tntrun.h
%{_infodir}/*.gz
/usr/lib/tnt/
/usr/share/locale/de/LC_MESSAGES/tnt.mo
/usr/share/locale/fr/LC_MESSAGES/tnt.mo
%dir /usr/share/tnt/
%config /usr/share/tnt/conf/
/usr/share/tnt/doc/
/usr/share/tnt/sounds/
/var/spool/tnt/

%changelog -n tnt
* Mon May 17 2004 - jreuter@suse.de
- added missing include of time.h
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jun 19 2003 - ro@suse.de
- build with current gettext
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Thu Apr 25 2002 - ro@suse.de
- fix for latest gettext and automake
* Mon Nov 19 2001 - ro@suse.de
- fixed for automake 1.5
* Tue Jun 19 2001 - jreuter@suse.de
- used wrong include file, includes sys/wait.h now
* Tue Jun 19 2001 - jreuter@suse.de
- doesn't include kernel headers anymore
* Tue Jun 12 2001 - jreuter@suse.de
- added 'aclocal' for autoconf to work again
- removed program prefix from configure parameter
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 12 2001 - ro@suse.de
- gettextize to compile
* Mon Feb 19 2001 - uli@suse.de
- fixed for new glibc
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Fri Nov 17 2000 - ro@suse.de
- compile fix
* Tue Jun 27 2000 - schwab@suse.de
- Add %%suse_update_config.
- Fix missing declarations.
* Fri Jun 09 2000 - bubnikv@suse.cz
- updated to 1.9.1
* Mon Feb 28 2000 - kukuk@suse.de
- Move /usr/libexec/tnt /usr/lib/tnt
- Move /usr/info -> /usr/share/info
* Mon Oct 25 1999 - ka@suse.de
- initial release
- configured with --with-included-gettext --enable-ax25k2 \
--enable-hibaud
